### Method

# GdkPixdata Pixdata deserialize

#### Declaration [src]

    gboolean
    gdk_pixdata_deserialize (
      GdkPixdata* pixdata,
      guint stream_length,
      const guint8* stream,
      GError** error
    )

#### Description [src]

Deserializes (reconstruct) a `GdkPixdata` structure from a byte stream.

The byte stream consists of a straightforward writeout of the `GdkPixdata` fields in network byte order, plus the `pixel_data` bytes the structure points to.

The `pixdata` contents are reconstructed byte by byte and are checked for validity.

This function may fail with `GDK_PIXBUF_ERROR_CORRUPT_IMAGE` or `GDK_PIXBUF_ERROR_UNKNOWN_TYPE`.

Deprecated since: | 2.32
Use `GResource` instead.

#### Parameters

`stream_length` | `guint`
| Length of the stream used for deserialization.
`stream` | An array of `guint8`
| Stream of bytes containing a serialized `GdkPixdata` structure.
| The length of the array is specified in the `stream_length` argument.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Upon successful deserialization `TRUE` is returned, `FALSE` otherwise.